# Generated from ptools-1.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ptools

Name: rubygem-%{gem_name}
Version: 1.5.0
Release: 1%{?dist}
Summary: Extra methods for the File class
License: Apache-2.0
URL: https://github.com/djberg96/ptools
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rspec)
BuildArch: noarch

%description
The ptools (power tools) library provides several handy methods to
Ruby's core File class, such as File.which for finding executables,
File.null to return the null device on your platform, and so on.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/MANIFEST.md
%{gem_instdir}/certs
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ptools.gemspec
%{gem_instdir}/spec

%changelog
* Mon Dec 05 2022 mockbuilder - 1.5.0-1
- Initial package
